Debian Bug report logs - #624205
new version available GWT2

version graph

Package: gwt; Maintainer for gwt is Chris Grzegorczyk <grze@eucalyptus.com>;

Reported by: Olivier Sallou <olivier.sallou@irisa.fr>

Date: Tue, 26 Apr 2011 12:15:38 UTC

Severity: wishlist

Fixed in version gwt/2.4.0-1

Done: Chris Halls <halls@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Chris Grzegorczyk <grze@eucalyptus.com>:
Bug#624205; Package gwt. (Tue, 26 Apr 2011 12:15:42 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Sallou <olivier.sallou@irisa.fr>:
New Bug report received and forwarded. Copy sent to Chris Grzegorczyk <grze@eucalyptus.com>. (Tue, 26 Apr 2011 12:15:51 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Olivier Sallou <olivier.sallou@irisa.fr>
To: submit@bugs.debian.org
Subject: new version available GWT2
Date: Tue, 26 Apr 2011 14:13:49 +0200
[Message part 1 (text/plain, inline)]
Package: gwt
Severity: wishlist

GWT2 is available for quite a long time now, but GWT debian package is still at version 1.6
Version 2 adds new features and most of GWT based apps are based now on this version.
Could you please update the package.

Thanks

Olivier

-- 
gpg key id: 4096R/326D8438  (pgp.mit.edu)
Key fingerprint = 5FB4 6F83 D3B9 5204 6335  D26D 78DC 68DB 326D 8438


[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Chris Grzegorczyk <grze@eucalyptus.com>:
Bug#624205; Package gwt. (Wed, 24 Aug 2011 07:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Chris Grzegorczyk <grze@eucalyptus.com>. (Wed, 24 Aug 2011 07:21:04 GMT) Full text and rfc822 format available.

Message #10 received at 624205@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Olivier Sallou <olivier.sallou@irisa.fr>, 624205@bugs.debian.org, Debian Eucalyptus Maintainers <pkg-eucalyptus-maintainers@lists.alioth.debian.org>
Subject: Re: new version available GWT2
Date: Wed, 24 Aug 2011 16:09:07 +0900
Le Tue, Apr 26, 2011 at 02:13:49PM +0200, Olivier Sallou a écrit :
> 
> GWT2 is available for quite a long time now, but GWT debian package is still at version 1.6
> Version 2 adds new features and most of GWT based apps are based now on this version.
> Could you please update the package.

Dear Olivier, pkg-eucalyptus team and everybody,

I am giving a try to the update of GWT but have problems to build.  As many
other Java packcages, the build.xml files are patched, and despite my effort to
port the patch to version 2.4.0, something may have gone wrong.  But my
konowledge of Java is very low, so if you have some spare time, I would
appreciate if somebody could have a look to the package.

You can inspect at the following URL the commit where I changed the build patch.

http://anonscm.debian.org/viewvc/pkg-eucalyptus/gwt/trunk/debian/patches/build.patch?r1=5&r2=147 

I have also removed three patches that I think are applied in (or cherry picked
from) versions later than 1.6.4.

http://anonscm.debian.org/viewvc/pkg-eucalyptus?view=revision&revision=143
http://anonscm.debian.org/viewvc/pkg-eucalyptus?view=revision&revision=144
http://anonscm.debian.org/viewvc/pkg-eucalyptus?view=revision&revision=146

Currently, the package fails to build with the following error:

build:
  [taskdef] Could not load definitions from resource net/sf/antcontrib/antlib.xml. It could not be found.
  [taskdef] Could not load definitions from resource net/sf/antcount/antlib.xml. It could not be found.
  [taskdef] Could not load definitions from resource emma_ant.properties. It could not be found.

compiler.standalone:
    [mkdir] Created dir: /home/charles/debian/med/pkg-eucalyptus/build-area/gwt-2.4.0/build/out/dev/bin
[gwt.javac] /home/charles/debian/med/pkg-eucalyptus/build-area/gwt-2.4.0/dev/build.xml:133: warning: 'includeantruntime' was not set, defaulting to build.sysclasspath=last; set to false for repeatable builds
[gwt.javac] Compiling 6 source files to /home/charles/debian/med/pkg-eucalyptus/build-area/gwt-2.4.0/build/out/dev/bin
[gwt.javac] /home/charles/debian/med/pkg-eucalyptus/build-area/gwt-2.4.0/dev/build.xml:134: warning: 'includeantruntime' was not set, defaulting to build.sysclasspath=last; set to false for repeatable builds
[gwt.javac] Compiling 925 source files to /home/charles/debian/med/pkg-eucalyptus/build-area/gwt-2.4.0/build/out/dev/bin
[gwt.javac] /home/charles/debian/med/pkg-eucalyptus/build-area/gwt-2.4.0/dev/core/src/com/google/gwt/dev/javac/CompilationUnitArchive.java:18: package com.google.gwt.thirdparty.guava.common.collect does not exist
[gwt.javac] import com.google.gwt.thirdparty.guava.common.collect.ImmutableMap;
[gwt.javac]                                                      ^
[gwt.javac] /home/charles/debian/med/pkg-eucalyptus/build-area/gwt-2.4.0/dev/core/src/com/google/gwt/dev/javac/JavaSourceParser.java:32: package org.eclipse.jdt.internal.core.util does not exist
[gwt.javac] import org.eclipse.jdt.internal.core.util.CodeSnippetParsingUtil;
[gwt.javac]                                          ^
[gwt.javac] /home/charles/debian/med/pkg-eucalyptus/build-area/gwt-2.4.0/dev/core/src/com/google/gwt/dev/util/StringInterner.java:19: package com.google.gwt.thirdparty.guava.common.collect does not exist
[gwt.javac] import com.google.gwt.thirdparty.guava.common.collect.Interner;
[gwt.javac]                                                      ^
[gwt.javac] /home/charles/debian/med/pkg-eucalyptus/build-area/gwt-2.4.0/dev/core/src/com/google/gwt/dev/util/StringInterner.java:20: package com.google.gwt.thirdparty.guava.common.collect does not exist
[gwt.javac] import com.google.gwt.thirdparty.guava.common.collect.Interners;
[gwt.javac]                                                      ^
[gwt.javac] /home/charles/debian/med/pkg-eucalyptus/build-area/gwt-2.4.0/dev/core/src/com/google/gwt/dev/util/StringInterner.java:34: cannot find symbol
[gwt.javac] symbol  : class Interner
[gwt.javac] location: class com.google.gwt.dev.util.StringInterner
[gwt.javac]   private final Interner<String> stringPool = Interners.newWeakInterner();
[gwt.javac]                 ^
[gwt.javac] /home/charles/debian/med/pkg-eucalyptus/build-area/gwt-2.4.0/dev/core/src/com/google/gwt/dev/util/Strings.java:18: package com.google.gwt.thirdparty.guava.common.collect does not exist
[gwt.javac] import com.google.gwt.thirdparty.guava.common.collect.Lists;
[gwt.javac]                                                      ^
[gwt.javac] /home/charles/debian/med/pkg-eucalyptus/build-area/gwt-2.4.0/dev/core/src/com/google/gwt/dev/javac/JdtCompiler.java:413: warningThreshold has protected access in org.eclipse.jdt.internal.compiler.impl.CompilerOptions
[gwt.javac]     options.warningThreshold = 0;
[gwt.javac]            ^
[gwt.javac] /home/charles/debian/med/pkg-eucalyptus/build-area/gwt-2.4.0/dev/core/src/com/google/gwt/dev/javac/JdtCompiler.java:413: incompatible types
[gwt.javac] found   : int
[gwt.javac] required: org.eclipse.jdt.internal.compiler.impl.IrritantSet
[gwt.javac]     options.warningThreshold = 0;
[gwt.javac]                                ^
[gwt.javac] /home/charles/debian/med/pkg-eucalyptus/build-area/gwt-2.4.0/dev/core/src/com/google/gwt/dev/javac/CompilationUnitArchive.java:106: cannot find symbol
[gwt.javac] symbol  : variable ImmutableMap
[gwt.javac] location: class com.google.gwt.dev.javac.CompilationUnitArchive
[gwt.javac]     return ImmutableMap.copyOf(units);
[gwt.javac]            ^
[gwt.javac] /home/charles/debian/med/pkg-eucalyptus/build-area/gwt-2.4.0/dev/core/src/com/google/gwt/dev/javac/JavaSourceParser.java:179: cannot find symbol
[gwt.javac] symbol  : class CodeSnippetParsingUtil
[gwt.javac] location: class com.google.gwt.dev.javac.JavaSourceParser
[gwt.javac]     CodeSnippetParsingUtil parsingUtil = new CodeSnippetParsingUtil();
[gwt.javac]     ^
[gwt.javac] /home/charles/debian/med/pkg-eucalyptus/build-area/gwt-2.4.0/dev/core/src/com/google/gwt/dev/javac/JavaSourceParser.java:179: cannot find symbol
[gwt.javac] symbol  : class CodeSnippetParsingUtil
[gwt.javac] location: class com.google.gwt.dev.javac.JavaSourceParser
[gwt.javac]     CodeSnippetParsingUtil parsingUtil = new CodeSnippetParsingUtil();
[gwt.javac]                                              ^
[gwt.javac] /home/charles/debian/med/pkg-eucalyptus/build-area/gwt-2.4.0/dev/core/src/com/google/gwt/dev/util/StringInterner.java:34: cannot find symbol
[gwt.javac] symbol  : variable Interners
[gwt.javac] location: class com.google.gwt.dev.util.StringInterner
[gwt.javac]   private final Interner<String> stringPool = Interners.newWeakInterner();
[gwt.javac]                                               ^
[gwt.javac] /home/charles/debian/med/pkg-eucalyptus/build-area/gwt-2.4.0/dev/core/src/org/eclipse/jdt/internal/compiler/lookup/MethodBinding.java:739: storeAnnotations(org.eclipse.jdt.internal.compiler.lookup.AnnotationBinding[],org.eclipse.jdt.internal.compiler.lookup.AnnotationBinding[][],java.lang.Object,org.eclipse.jdt.internal.compiler.lookup.LookupEnvironment) in org.eclipse.jdt.internal.compiler.lookup.AnnotationHolder cannot be applied to (org.eclipse.jdt.internal.compiler.lookup.AnnotationBinding[],org.eclipse.jdt.internal.compiler.lookup.AnnotationBinding[][],java.lang.Object)
[gwt.javac]   this.declaringClass.storeAnnotationHolder(this,  AnnotationHolder.storeAnnotations(annotations, parameterAnnotations, defaultValue));
[gwt.javac]                                                                    ^
[gwt.javac] /home/charles/debian/med/pkg-eucalyptus/build-area/gwt-2.4.0/dev/core/src/org/eclipse/jdt/internal/compiler/lookup/MethodBinding.java:854: cannot find symbol
[gwt.javac] symbol  : variable ContainsNestedTypesInSignature
[gwt.javac] location: interface org.eclipse.jdt.internal.compiler.lookup.TagBits
[gwt.javac]     if ((this.tagBits & TagBits.ContainsNestedTypesInSignature) != 0) {
[gwt.javac]                                ^
[gwt.javac] /home/charles/debian/med/pkg-eucalyptus/build-area/gwt-2.4.0/dev/core/src/org/eclipse/jdt/internal/compiler/lookup/MethodBinding.java:921: cannot find symbol
[gwt.javac] symbol  : variable ContainsNestedTypesInSignature
[gwt.javac] location: interface org.eclipse.jdt.internal.compiler.lookup.TagBits
[gwt.javac]           this.tagBits |= TagBits.ContainsNestedTypesInSignature;
[gwt.javac]                                  ^
[gwt.javac] /home/charles/debian/med/pkg-eucalyptus/build-area/gwt-2.4.0/dev/core/src/org/eclipse/jdt/internal/compiler/lookup/MethodBinding.java:938: cannot find symbol
[gwt.javac] symbol  : variable ContainsNestedTypesInSignature
[gwt.javac] location: interface org.eclipse.jdt.internal.compiler.lookup.TagBits
[gwt.javac]         this.tagBits |= TagBits.ContainsNestedTypesInSignature;
[gwt.javac]                                ^
[gwt.javac] /home/charles/debian/med/pkg-eucalyptus/build-area/gwt-2.4.0/dev/core/src/org/eclipse/jdt/internal/compiler/lookup/MethodBinding.java:955: cannot find symbol
[gwt.javac] symbol  : variable ContainsNestedTypesInSignature
[gwt.javac] location: interface org.eclipse.jdt.internal.compiler.lookup.TagBits
[gwt.javac]         this.tagBits |= TagBits.ContainsNestedTypesInSignature;
[gwt.javac]                                ^
[gwt.javac] /home/charles/debian/med/pkg-eucalyptus/build-area/gwt-2.4.0/dev/core/src/org/eclipse/jdt/internal/compiler/lookup/MethodBinding.java:965: cannot find symbol
[gwt.javac] symbol  : variable ContainsNestedTypesInSignature
[gwt.javac] location: interface org.eclipse.jdt.internal.compiler.lookup.TagBits
[gwt.javac]       this.tagBits |= TagBits.ContainsNestedTypesInSignature;
[gwt.javac]                              ^
[gwt.javac] /home/charles/debian/med/pkg-eucalyptus/build-area/gwt-2.4.0/dev/core/src/org/eclipse/jdt/internal/compiler/lookup/SourceTypeBinding.java:369: cannot find symbol
[gwt.javac] symbol  : constructor SyntheticMethodBinding(org.eclipse.jdt.internal.compiler.lookup.FieldBinding,boolean,org.eclipse.jdt.internal.compiler.lookup.SourceTypeBinding)
[gwt.javac] location: class org.eclipse.jdt.internal.compiler.lookup.SyntheticMethodBinding
[gwt.javac]     accessMethod = new SyntheticMethodBinding(targetField, isReadAccess, this);
[gwt.javac]                    ^
[gwt.javac] /home/charles/debian/med/pkg-eucalyptus/build-area/gwt-2.4.0/dev/core/src/org/eclipse/jdt/internal/compiler/lookup/SourceTypeBinding.java:374: cannot find symbol
[gwt.javac] symbol  : constructor SyntheticMethodBinding(org.eclipse.jdt.internal.compiler.lookup.FieldBinding,boolean,org.eclipse.jdt.internal.compiler.lookup.SourceTypeBinding)
[gwt.javac] location: class org.eclipse.jdt.internal.compiler.lookup.SyntheticMethodBinding
[gwt.javac]       accessMethod = new SyntheticMethodBinding(targetField, isReadAccess, this);
[gwt.javac]                      ^
[gwt.javac] /home/charles/debian/med/pkg-eucalyptus/build-area/gwt-2.4.0/dev/core/src/org/eclipse/jdt/internal/compiler/lookup/BinaryTypeBinding.java:129: resolve() in org.eclipse.jdt.internal.compiler.lookup.TypeVariableBinding cannot be applied to (org.eclipse.jdt.internal.compiler.lookup.LookupEnvironment)
[gwt.javac] 			((TypeVariableBinding) type).resolve(environment);
[gwt.javac] 			                            ^
[gwt.javac] /home/charles/debian/med/pkg-eucalyptus/build-area/gwt-2.4.0/dev/core/src/org/eclipse/jdt/internal/compiler/lookup/BinaryTypeBinding.java:598: cannot find symbol
[gwt.javac] symbol  : constructor TypeVariableBinding(char[],org.eclipse.jdt.internal.compiler.lookup.BinaryTypeBinding,int)
[gwt.javac] location: class org.eclipse.jdt.internal.compiler.lookup.TypeVariableBinding
[gwt.javac] 						variables.add(new TypeVariableBinding(variableName, this, rank++));
[gwt.javac] 						              ^
[gwt.javac] /home/charles/debian/med/pkg-eucalyptus/build-area/gwt-2.4.0/dev/core/src/org/eclipse/jdt/internal/compiler/lookup/BinaryTypeBinding.java:796: resolve() in org.eclipse.jdt.internal.compiler.lookup.TypeVariableBinding cannot be applied to (org.eclipse.jdt.internal.compiler.lookup.LookupEnvironment)
[gwt.javac] 	variable.resolve(this.environment);
[gwt.javac] 	        ^
[gwt.javac] /home/charles/debian/med/pkg-eucalyptus/build-area/gwt-2.4.0/dev/core/src/org/eclipse/jdt/internal/compiler/lookup/BinaryTypeBinding.java:935: resolve() in org.eclipse.jdt.internal.compiler.lookup.TypeVariableBinding cannot be applied to (org.eclipse.jdt.internal.compiler.lookup.LookupEnvironment)
[gwt.javac] 		method.typeVariables[i].resolve(this.environment);
[gwt.javac] 		                       ^
[gwt.javac] /home/charles/debian/med/pkg-eucalyptus/build-area/gwt-2.4.0/dev/core/src/org/eclipse/jdt/internal/compiler/lookup/BinaryTypeBinding.java:984: resolve() in org.eclipse.jdt.internal.compiler.lookup.TypeVariableBinding cannot be applied to (org.eclipse.jdt.internal.compiler.lookup.LookupEnvironment)
[gwt.javac] 		this.typeVariables[i].resolve(this.environment);
[gwt.javac] 		                     ^
[gwt.javac] /home/charles/debian/med/pkg-eucalyptus/build-area/gwt-2.4.0/dev/core/src/com/google/gwt/dev/util/Strings.java:47: cannot find symbol
[gwt.javac] symbol  : variable Lists
[gwt.javac] location: class com.google.gwt.dev.util.Strings
[gwt.javac]     ArrayList<String> result = Lists.newArrayList();
[gwt.javac]                                ^
[gwt.javac] Note: Some input files use or override a deprecated API.
[gwt.javac] Note: Recompile with -Xlint:deprecation for details.
[gwt.javac] Note: Some input files use unchecked or unsafe operations.
[gwt.javac] Note: Recompile with -Xlint:unchecked for details.
[gwt.javac] 26 errors

Have a nice day,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan




Information forwarded to debian-bugs-dist@lists.debian.org, Chris Grzegorczyk <grze@eucalyptus.com>:
Bug#624205; Package gwt. (Wed, 24 Aug 2011 07:42:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Rossi <alexandre.rossi@gmail.com>:
Extra info received and forwarded to list. Copy sent to Chris Grzegorczyk <grze@eucalyptus.com>. (Wed, 24 Aug 2011 07:42:23 GMT) Full text and rfc822 format available.

Message #15 received at 624205@bugs.debian.org (full text, mbox):

From: Alexandre Rossi <alexandre.rossi@gmail.com>
To: Charles Plessy <plessy@debian.org>, 624205@bugs.debian.org
Cc: Olivier Sallou <olivier.sallou@irisa.fr>, Debian Eucalyptus Maintainers <pkg-eucalyptus-maintainers@lists.alioth.debian.org>
Subject: Re: Bug#624205: new version available GWT2
Date: Wed, 24 Aug 2011 09:41:32 +0200
Hi,

> [gwt.javac] /home/charles/debian/med/pkg-eucalyptus/build-area/gwt-2.4.0/dev/core/src/com/google/gwt/dev/javac/JdtCompiler.java:413: warningThreshold has protected access in org.eclipse.jdt.internal.compiler.impl.CompilerOptions

About those Eclipse, JDT errors, last time I checked, GWT needs LDT
from Eclipse 3.4, and fails to build against 3.5.

So GWT needs to be fixed to build against Eclipse >= 3.5.

Alex




Information forwarded to debian-bugs-dist@lists.debian.org, Chris Grzegorczyk <grze@eucalyptus.com>:
Bug#624205; Package gwt. (Thu, 25 Aug 2011 15:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to thomas@koch.ro:
Extra info received and forwarded to list. Copy sent to Chris Grzegorczyk <grze@eucalyptus.com>. (Thu, 25 Aug 2011 15:57:03 GMT) Full text and rfc822 format available.

Message #20 received at 624205@bugs.debian.org (full text, mbox):

From: Thomas Koch <thomas@koch.ro>
To: 624205@bugs.debian.org
Subject: issue in GWT's tracker
Date: Thu, 25 Aug 2011 17:54:23 +0200
There has already been an entry in the GWT tracker to upgrade to jdt 3.5. I 
added a link to this Debian bug.

http://code.google.com/p/google-web-toolkit/issues/detail?id=3823

Thomas Koch, http://www.koch.ro




Information forwarded to debian-bugs-dist@lists.debian.org, Chris Grzegorczyk <grze@eucalyptus.com>:
Bug#624205; Package gwt. (Fri, 02 Sep 2011 05:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Rossi <alexandre.rossi@gmail.com>:
Extra info received and forwarded to list. Copy sent to Chris Grzegorczyk <grze@eucalyptus.com>. (Fri, 02 Sep 2011 05:45:03 GMT) Full text and rfc822 format available.

Message #25 received at 624205@bugs.debian.org (full text, mbox):

From: Alexandre Rossi <alexandre.rossi@gmail.com>
To: debian-java@lists.debian.org
Cc: Debian Eucalyptus Maintainers <pkg-eucalyptus-maintainers@lists.alioth.debian.org>, Charles Plessy <plessy@debian.org>, Olivier Sallou <olivier.sallou@irisa.fr>, 624205@bugs.debian.org
Subject: Re: GWT2 packaging
Date: Fri, 2 Sep 2011 07:42:37 +0200
Hi all,

I'll now share my work at the following URL:
http://sousmonlit.dyndns.org/~niol/gitweb/?p=gwt-debian.git/.git;a=summary

This also should work :
$ git clone http://sousmonlit.dyndns.org/~niol/repositories.git/gwt-debian.git/.git

(git is easier to work with without commit access, I'll continue to
provide diffs against the current svn when asked, please do not see
this as a unilateral decision of a switch to git, I'll happily
contribute what I can regardless of the SCM)

I'll also follow-up only on debian-java@l.d.o to avoid abusing
cross-posting, and maybe to the bug report for important stuff.

Thanks,

Alex




Added indication that bug 624205 blocks 589436 Request was from Thomas Koch <thomas@koch.ro> to control@bugs.debian.org. (Thu, 24 Nov 2011 15:30:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Chris Grzegorczyk <grze@eucalyptus.com>:
Bug#624205; Package gwt. (Tue, 29 Nov 2011 08:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Rossi <alexandre.rossi@gmail.com>:
Extra info received and forwarded to list. Copy sent to Chris Grzegorczyk <grze@eucalyptus.com>. (Tue, 29 Nov 2011 08:27:07 GMT) Full text and rfc822 format available.

Message #32 received at 624205@bugs.debian.org (full text, mbox):

From: Alexandre Rossi <alexandre.rossi@gmail.com>
To: 624205@bugs.debian.org
Subject: Re: GWT2 packaging
Date: Tue, 29 Nov 2011 09:24:09 +0100
Hi,

Little status update :
- I think I've cleared the json.org licensing issue.
- The package is building with its dependencies'packages ready
(htmlunit, jsilver, sablecc).

Ask me If you need some stuff I forgot to share.

What's left to do, the easy part :
- finalize packaging
- document patches with DEP-5 headers and submit them upstream
- fill out ITPs for deps
- assess if rdepends (eucalyptus) require both gwt1 and gwt2 in Debian

Now, I'm stuck with the "build against newer JDT" patch, which builds,
but runtime fails. I fixed the build to be able to run the test suite,
now I just need some time to go through the unit test failures.

Thanks for reading,

Alex




Information forwarded to debian-bugs-dist@lists.debian.org, Chris Grzegorczyk <grze@eucalyptus.com>:
Bug#624205; Package gwt. (Wed, 14 Dec 2011 10:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Sallou <olivier.sallou@irisa.fr>:
Extra info received and forwarded to list. Copy sent to Chris Grzegorczyk <grze@eucalyptus.com>. (Wed, 14 Dec 2011 10:36:05 GMT) Full text and rfc822 format available.

Message #37 received at 624205@bugs.debian.org (full text, mbox):

From: Olivier Sallou <olivier.sallou@irisa.fr>
To: 624205@bugs.debian.org
Subject: error when trying to build
Date: Wed, 14 Dec 2011 11:32:49 +0100
Hi,
I cloned the git repo, made a get-orig-source and tried to build
(debuild) but I have errors:

dpkg-source: info: local changes detected, the modified files are:
 gwt-debian/eclipse/samples/DynaTableRf/.classpath
 gwt-debian/requestfactory/build.xml
 gwt-debian/samples/dynatablerf/build.xml
 gwt-debian/samples/mobilewebapp/pom.xml
 gwt-debian/samples/mobilewebapp/src/main/webapp/WEB-INF/web.xml
 gwt-debian/user/build.xml
 gwt-debian/user/src/com/google/gwt/user/tools/templates/sample/_warFolder_/WEB-INF/web.xmlsrc
 gwt-debian/user/src/com/google/web/bindery/requestfactory/apt/RfApt.java
 gwt-debian/user/src/com/google/web/bindery/requestfactory/server/Deobfuscator.java
 gwt-debian/user/src/com/google/web/bindery/requestfactory/server/OperationData.java
 gwt-debian/user/src/com/google/web/bindery/requestfactory/server/RequestFactoryInterfaceValidator.java
 gwt-debian/user/src/com/google/web/bindery/requestfactory/server/RequestFactoryJarExtractor.java
 gwt-debian/user/src/com/google/web/bindery/requestfactory/server/ResolverServiceLayer.java
 gwt-debian/user/src/com/google/web/bindery/requestfactory/shared/SkipInterfaceValidation.java
 gwt-debian/user/src/com/google/web/bindery/requestfactory/shared/impl/ProxySerializerImpl.java
 gwt-debian/user/src/com/google/web/bindery/requestfactory/vm/InProcessRequestContext.java
 gwt-debian/user/src/com/google/web/bindery/requestfactory/vm/InProcessRequestFactory.java
 gwt-debian/user/src/com/google/web/bindery/requestfactory/vm/impl/TypeTokenResolver.java
 gwt-debian/user/test/com/google/web/bindery/requestfactory/gwt/RequestFactoryGwtJreSuite.java
 gwt-debian/user/test/com/google/web/bindery/requestfactory/server/BoxesAndPrimitivesJreTest.java
 gwt-debian/user/test/com/google/web/bindery/requestfactory/server/RequestFactoryInterfaceValidatorTest.java
 gwt-debian/user/test/com/google/web/bindery/requestfactory/server/RequestFactoryJreTest.java
 gwt-debian/user/test/com/google/web/bindery/requestfactory/server/RequestFactoryPolymorphicJreTest.java
 gwt-debian/user/test/com/google/web/bindery/requestfactory/server/SimpleBar.java
 gwt-debian/user/test/com/google/web/bindery/requestfactory/shared/TestFooPolymorphicRequest.java
 gwt-debian/user/test/com/google/web/bindery/requestfactory/vm/RequestFactoryJreSuite.java
dpkg-source: error: aborting due to unexpected upstream changes, see
/tmp/gwt_2.4.0-1.diff.MsA_iK
dpkg-source: info: you can integrate the local changes with dpkg-source
--commit
dpkg-buildpackage: error: dpkg-source -b gwt-debian gave error exit status 2
debuild: fatal error at line 1348:
dpkg-buildpackage -rfakeroot -D -us -uc failed

Seems there is an issue with upstream source to get the same you used.

Olivier

-- 

gpg key id: 4096R/326D8438  (pgp.mit.edu)
Key fingerprint = 5FB4 6F83 D3B9 5204 6335  D26D 78DC 68DB 326D 8438






Information forwarded to debian-bugs-dist@lists.debian.org, Chris Grzegorczyk <grze@eucalyptus.com>:
Bug#624205; Package gwt. (Wed, 21 Dec 2011 16:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Rossi <alexandre.rossi@gmail.com>:
Extra info received and forwarded to list. Copy sent to Chris Grzegorczyk <grze@eucalyptus.com>. (Wed, 21 Dec 2011 16:57:03 GMT) Full text and rfc822 format available.

Message #42 received at 624205@bugs.debian.org (full text, mbox):

From: Alexandre Rossi <alexandre.rossi@gmail.com>
To: 624205@bugs.debian.org
Subject: Re: GWT2 packaging
Date: Wed, 21 Dec 2011 17:53:44 +0100
Hi,

I've updated my packaging to make it possible to run the test suite.
In order to run the test suite, I use the following command :

$ GWT_EXTTOOLS=~/mshared/tmp/gwt_build/gwt-TOOLS-svn/ ant
-propertyfile debian/ant.properties -DartifactVersion=2.4.0 -f
dev/build.xml test

GWT_EXTTOOLS is the same as GWT_TOOLS, i.e. the location of a checkout
of svn checkout http://google-web-toolkit.googlecode.com/svn/tools (I
use a different env var to prevent using private libs instead of
debian ones).

Missing build deps :
- htmlunit is now in debian
- sablecc (needed to build jsilver) :
http://sousmonlit.dyndns.org/~niol/gitweb/?p=sablecc.git/.git;a=summary
- jsilver : http://sousmonlit.dyndns.org/~niol/gitweb/?p=jsilver.git/.git;a=summary

Cheers,

Alex




Information forwarded to debian-bugs-dist@lists.debian.org, Chris Grzegorczyk <grze@eucalyptus.com>:
Bug#624205; Package gwt. (Wed, 21 Dec 2011 17:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Rossi <alexandre.rossi@gmail.com>:
Extra info received and forwarded to list. Copy sent to Chris Grzegorczyk <grze@eucalyptus.com>. (Wed, 21 Dec 2011 17:06:03 GMT) Full text and rfc822 format available.

Message #47 received at 624205@bugs.debian.org (full text, mbox):

From: Alexandre Rossi <alexandre.rossi@gmail.com>
To: 624205@bugs.debian.org
Cc: Olivier Sallou <olivier.sallou@irisa.fr>
Subject: Re: Bug#624205: error when trying to build
Date: Wed, 21 Dec 2011 18:02:55 +0100
Hi,

> I cloned the git repo, made a get-orig-source and tried to build
> (debuild) but I have errors:

I imported again a freshly generated upstream tarball. I hope it works
better. Please tell me if it does not.

Alex




Information forwarded to debian-bugs-dist@lists.debian.org, Chris Grzegorczyk <grze@eucalyptus.com>:
Bug#624205; Package gwt. (Tue, 03 Jan 2012 10:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Sallou <olivier.sallou@irisa.fr>:
Extra info received and forwarded to list. Copy sent to Chris Grzegorczyk <grze@eucalyptus.com>. (Tue, 03 Jan 2012 10:42:10 GMT) Full text and rfc822 format available.

Message #52 received at 624205@bugs.debian.org (full text, mbox):

From: Olivier Sallou <olivier.sallou@irisa.fr>
To: 624205@bugs.debian.org
Subject: cannot access git directory
Date: Tue, 03 Jan 2012 11:39:38 +0100
[Message part 1 (text/plain, inline)]
Hi,
your git url is not reachable at

git clone http://sousmonlit.dyndns.org/~niol/repositories.git/gwt-debian.git/.git <http://sousmonlit.dyndns.org/%7Eniol/repositories.git/gwt-debian.git/.git>


-- 

gpg key id: 4096R/326D8438  (pgp.mit.edu)
Key fingerprint = 5FB4 6F83 D3B9 5204 6335  D26D 78DC 68DB 326D 8438


[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Chris Grzegorczyk <grze@eucalyptus.com>:
Bug#624205; Package gwt. (Tue, 20 Mar 2012 00:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Chris Grzegorczyk <grze@eucalyptus.com>. (Tue, 20 Mar 2012 00:45:03 GMT) Full text and rfc822 format available.

Message #57 received at 624205@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Alexandre Rossi <alexandre.rossi@gmail.com>, 624205@bugs.debian.org, Olivier Sallou <olivier.sallou@irisa.fr>, Brian Thomason <brian.thomason@eucalyptus.com>, Chris Grzegorczyk <grze@eucalyptus.com>
Cc: Carsten Hey <carsten@debian.org>
Subject: Re: Bug#624205: GWT2 packaging
Date: Tue, 20 Mar 2012 09:43:30 +0900
Hello everybody,

we were pinged by Carsten, who noted that GWT 2.4.0 was uploaded to Ubuntu,
partly based on the work of Alex.  Does that mean that we can integrate the
remaining changes from Ubuntu and upload 2.4.0 to Debian as well ?

Is there anybody aware of problems in Ubuntu's package ?  It has been
used there for one month already, and its bugs page is still empty.

  https://bugs.launchpad.net/ubuntu/+source/gwt

Cheers,

-- 
Charles




Information forwarded to debian-bugs-dist@lists.debian.org, Chris Grzegorczyk <grze@eucalyptus.com>:
Bug#624205; Package gwt. (Tue, 20 Mar 2012 16:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brian Thomason <brian.thomason@eucalyptus.com>:
Extra info received and forwarded to list. Copy sent to Chris Grzegorczyk <grze@eucalyptus.com>. (Tue, 20 Mar 2012 16:24:03 GMT) Full text and rfc822 format available.

Message #62 received at 624205@bugs.debian.org (full text, mbox):

From: Brian Thomason <brian.thomason@eucalyptus.com>
To: Charles Plessy <plessy@debian.org>
Cc: Alexandre Rossi <alexandre.rossi@gmail.com>, 624205@bugs.debian.org, Olivier Sallou <olivier.sallou@irisa.fr>, Chris Grzegorczyk <grze@eucalyptus.com>, Carsten Hey <carsten@debian.org>
Subject: Re: Bug#624205: GWT2 packaging
Date: Tue, 20 Mar 2012 12:20:39 -0400
Hi Charles,

I responded to his email stating that the upload I made to Ubuntu is
still quite broken.  I thought I had a mostly working build until
further testing proved otherwise.  I uploaded it there when I did to
beat the feature freeze deadline.  We are currently working out a
contract with credativ UK, a company run by Debian Developer Chris
Halls, to complete the packaging.  Alexandre's work has gotten us as
far as we are, but he doesn't have enough free cycles to wrap it up in
a timely manner last time I checked.

-Brian

On Mon, Mar 19, 2012 at 8:43 PM, Charles Plessy <plessy@debian.org> wrote:
> Hello everybody,
>
> we were pinged by Carsten, who noted that GWT 2.4.0 was uploaded to Ubuntu,
> partly based on the work of Alex.  Does that mean that we can integrate the
> remaining changes from Ubuntu and upload 2.4.0 to Debian as well ?
>
> Is there anybody aware of problems in Ubuntu's package ?  It has been
> used there for one month already, and its bugs page is still empty.
>
>  https://bugs.launchpad.net/ubuntu/+source/gwt
>
> Cheers,
>
> --
> Charles




Added indication that bug 624205 blocks 517915,525059 Request was from Bertrand Marc <beberking@gmail.com> to control@bugs.debian.org. (Fri, 13 Apr 2012 08:09:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Chris Grzegorczyk <grze@eucalyptus.com>:
Bug#624205; Package gwt. (Sat, 30 Jun 2012 06:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to thomas@koch.ro:
Extra info received and forwarded to list. Copy sent to Chris Grzegorczyk <grze@eucalyptus.com>. (Sat, 30 Jun 2012 06:15:03 GMT) Full text and rfc822 format available.

Message #69 received at 624205@bugs.debian.org (full text, mbox):

From: Thomas Koch <thomas@koch.ro>
To: 624205@bugs.debian.org
Subject: gwt2 packaging status?
Date: Sat, 30 Jun 2012 08:09:43 +0200
Hi,

is there any place where a gwt2 packaging effort more recent then February 2012 
could be found? I'd need gwt2 as a dependency for Gerrit[1]. Maybe I could 
start working on the gerrit packaging even with a not yet polished gwt2 
package.

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=589436

Regards,

Thomas Koch, http://www.koch.ro




Reply sent to Chris Halls <halls@debian.org>:
You have taken responsibility. (Sat, 30 Jun 2012 22:57:05 GMT) Full text and rfc822 format available.

Notification sent to Olivier Sallou <olivier.sallou@irisa.fr>:
Bug acknowledged by developer. (Sat, 30 Jun 2012 22:57:05 GMT) Full text and rfc822 format available.

Message #74 received at 624205-close@bugs.debian.org (full text, mbox):

From: Chris Halls <halls@debian.org>
To: 624205-close@bugs.debian.org
Subject: Bug#624205: fixed in gwt 2.4.0-1
Date: Sat, 30 Jun 2012 22:52:33 +0000
Source: gwt
Source-Version: 2.4.0-1

We believe that the bug you reported is fixed in the latest version of
gwt, which is due to be installed in the Debian FTP archive:

gwt_2.4.0-1.debian.tar.gz
  to main/g/gwt/gwt_2.4.0-1.debian.tar.gz
gwt_2.4.0-1.dsc
  to main/g/gwt/gwt_2.4.0-1.dsc
gwt_2.4.0.orig.tar.gz
  to main/g/gwt/gwt_2.4.0.orig.tar.gz
libgwt-dev-java_2.4.0-1_all.deb
  to main/g/gwt/libgwt-dev-java_2.4.0-1_all.deb
libgwt-user-java_2.4.0-1_all.deb
  to main/g/gwt/libgwt-user-java_2.4.0-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 624205@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Chris Halls <halls@debian.org> (supplier of updated gwt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 30 Jun 2012 21:15:56 +0000
Source: gwt
Binary: libgwt-user-java libgwt-dev-java
Architecture: source all
Version: 2.4.0-1
Distribution: sid
Urgency: low
Maintainer: Debian Eucalyptus Maintainers <pkg-eucalyptus-maintainers@lists.alioth.debian.org>
Changed-By: Chris Halls <halls@debian.org>
Description: 
 libgwt-dev-java - Google Web Toolkit (GWT) dev libs
 libgwt-user-java - Google Web Toolkit (GWT) runtime libs
Closes: 624205 629733 677571
Changes: 
 gwt (2.4.0-1) sid; urgency=low
 .
   * Upload to Debian (Closes: #677571)
   * Set maintainer to Eucalyptus packaging team with Brian & myself
     as uploaders
   * Fix clean target when package is not built
   * Add target to debian/rules for running dev unit tests
   * patches/build-with-jdt37: Merge changes from gwt trunk to fix problems
     exposed by unit tests
   * patches/build-with-jdt38: implement new interface build against eclipse
     jdt 3.8
   * patches/exclude-tomcat.patch: Also exclude from unit tests
   * patches/fix-guava-pkg-path: Fix path in unit tests
   * patches/fix-test-classpath: New patch to use the same classpath for running
     tests as used during the build
   * Use javahelper to set a classpath and dependencies
   * Add build against libxerces2-java and to classpath, as this is the same
     as upstream uses
   * Standards version 3.9.3 (no changes required)
   * Update copyright for some new files in this version
 .
 gwt (2.4.0-0ubuntu1) precise; urgency=low
 .
   [ Brian Thomason ]
   * Minor JDT 3.7 fix
   * Minor packaging cleanup
 .
   [ Alexandre Rossi ]
   * Added patch to build against JDT 3.5+
   * Added patch to use JSON Simple
   * Added patch to fix guava path
 .
   [ Charles Plessy ]
   * New upstream release (Closes: #624205).
   * Build-depends on libswt-gtk-3 instead of 3.5 (Closes: #629733).
   * Switched to source format 3.0 (quilt) (debian/source/format,
     debian/patches/series).
   * Added Vcs and Homepage fields to the source paragraph of debian/control.
   * Maintained by the pkg-eucalyptus team (debian/control).
   * Removed XSBC-Original-Maintainer field (debian/control).
   * Conforms to Policy 3.9.2 (debian/control, no other changes needed).
Checksums-Sha1: 
 dea7dec07332db63b4f2ca3249820e5e584198eb 1908 gwt_2.4.0-1.dsc
 3fa5a64c0b9e044b9fd57f343be00c9e7825f1e8 19095764 gwt_2.4.0.orig.tar.gz
 a42a75c51a26c82c92d173a9e492ac4416dad7bd 141952 gwt_2.4.0-1.debian.tar.gz
 8daf4a9d83e754f14e73f852d4c457d59d94a62b 15850450 libgwt-user-java_2.4.0-1_all.deb
 73ccaae33af12071c7c6e537b9964f388ae3d90a 5071316 libgwt-dev-java_2.4.0-1_all.deb
Checksums-Sha256: 
 5d5b71cbc9e1e9c47722b03ce0cbf27cda2a088b8733529d9beb065d5ce5069c 1908 gwt_2.4.0-1.dsc
 d13404ab3ad64993fcaec0f8d550050206833762b03ba561e42d733c1e5d25ee 19095764 gwt_2.4.0.orig.tar.gz
 e39986e908171ea842e1ad467c87c64ebdd43f2fa526ab9cd7a51366d92668e3 141952 gwt_2.4.0-1.debian.tar.gz
 1d117414118670271ad15fea44c8b263d95fe93bef408f7f98dff786da5eb6fd 15850450 libgwt-user-java_2.4.0-1_all.deb
 7c64d2e75ef29523e69ba6104cc82c763c42db43057723ffcd55ce926d0ce25a 5071316 libgwt-dev-java_2.4.0-1_all.deb
Files: 
 0e3f02eaf5ca683ca9839e76d9785ad5 1908 java optional gwt_2.4.0-1.dsc
 f1b5d08de5fe739fc0f78a93dc0ab2b0 19095764 java optional gwt_2.4.0.orig.tar.gz
 21fb866958ba66ef6671194c7780cb73 141952 java optional gwt_2.4.0-1.debian.tar.gz
 347c04788b793b466fa26c89362003fc 15850450 java optional libgwt-user-java_2.4.0-1_all.deb
 2f9591fd97ff3bd55abba1ffef62b2b6 5071316 java optional libgwt-dev-java_2.4.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk/veCYACgkQexmdExmX588weACePo+GCoe/l7NsL1SRGyhIJ4SO
2KYAnjR7kLHq74CfjGm4027F48Fv5yIz
=bXeD
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 29 Jul 2012 07:25:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 08:43:27 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.